package org.jerrymouse.chineseCalendar.service;

import java.util.List;

import org.jerrymouse.chineseCalendar.model.atom.BirthdayEntity;
import org.jerrymouse.chineseCalendar.model.birthday.Birthday;
import org.jerrymouse.chineseCalendar.model.birthday.Period;

public interface BirthdayService {

	List<Birthday> calculate(Birthday birthday, Period period);

	List<Birthday> calculate(List<Birthday> birthdays, Period period);

	List<Birthday> decode(String data);

	List<BirthdayEntity> calculateNextTwoWeeks(List<Birthday> birthdays);

	List<List<Birthday>> calculateOneYear(List<Birthday> birthdays);
}
